Name:		hp-i40e
Version:	2.10.19.81
Release:	1
Group:		System/Kernel
Vendor:		Intel Corporation
URL:		http://support.intel.com
Packager:	Hewlett-Packard Company
License:	GPL-2.0
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Summary:	Intel(R) 40-10 Gigabit Ethernet Connection Network Driver for HPE systems

%define debug_package %{nil}

%if "%{_host_vendor}" == "redhat"
BuildRequires: %kernel_module_package_buildreqs
%define install_mod_dir extra/%{name}
%else
BuildRequires: kernel-source kernel-syms
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%define install_mod_dir updates
%endif

%if "%{_host_vendor}" == "suse"
%if "%{_arch}" == "x86_64"
%{suse_kernel_module_package -x default smp xen kdump}
%else
%{suse_kernel_module_package -x default smp xen kdump bigsmp xenpae pae}
%endif
%endif

%if "%{_host_vendor}" == "redhat"
%{kernel_module_package -x debug kdump um}
%endif
%description
Intel(R) 40-10 Gigabit Ethernet Connection Network Driver for HPE systems

%package KMP
Summary: Intel(R) 40-10 Gigabit Ethernet Connection Network Driver for HPE systems
Group: System/Kernel

%description KMP
Intel(R) 40-10 Gigabit Ethernet Connection Network Driver for HPE systems

%package doc
Summary: Documentation for the %{name} kernel module
Group: System/Kernel
%if "%{_host_vendor}" == "redhat"
Provides: %{name}-kmod-common = %{version}-%{release}
Requires: %{name}-kmod = %{version}-%{release}
%else
Provides: %{name}-kmp-common = %{version}-%{release}
Requires: %{name}-kmp = %{version}_%(uname -r | cut -d- -f1)_%(uname -r | cut -d- -f2)
%endif

%description doc
Documentation for the Intel(R) 40-10 Gigabit Ethernet Connection Network Driver for HPE systems

%prep
%setup
set -- *
mv src source
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION="%version"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C $PWD/obj/$flavor KSRC=%{kernel_source $flavor}
done
gzip < source/i40e.7 > source/i40e.7.gz

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%install_mod_dir
for flavor in %flavors_to_build; do
	make -C $PWD/obj/$flavor KSRC=%{kernel_source $flavor} modules_install mandocs_install
done
install -D -m 644 i40e.7.gz $RPM_BUILD_ROOT/%{_mandir}/man7/i40e.7.gz

%post
uname -r | grep BOOT || /sbin/depmod -a > /dev/null 2>&1 || true

if which dracut >/dev/null 2>&1; then
	echo "Updating initramfs with dracut..."
	if dracut --force ; then
		echo "Successfully updated initramfs."
	else
		echo "Failed to update initramfs."
		echo "You must update your initramfs image for changes to take place."
		exit -1
	fi
elif which mkinitrd >/dev/null 2>&1; then
	echo "Updating initrd with mkinitrd..."
	if mkinitrd; then
		echo "Successfully updated initrd."
	else
		echo "Failed to update initrd."
		echo "You must update your initrd image for changes to take place."
		exit -1
	fi
else
	echo "Unable to determine utility to update initrd image."
	echo "You must update your initrd manually for changes to take place."
	exit -1
fi

%postun
uname -r | grep BOOT || /sbin/depmod -a > /dev/null 2>&1 || true

if which dracut >/dev/null 2>&1; then
	echo "Updating initramfs with dracut..."
	if dracut --force ; then
		echo "Successfully updated initramfs."
	else
		echo "Failed to update initramfs."
		echo "You must update your initramfs image for changes to take place."
		exit -1
	fi
elif which mkinitrd >/dev/null 2>&1; then
	echo "Updating initrd with mkinitrd..."
	if mkinitrd; then
		echo "Successfully updated initrd."
	else
		echo "Failed to update initrd."
		echo "You must update your initrd image for changes to take place."
		exit -1
	fi
else
	echo "Unable to determine utility to update initrd image."
	echo "You must update your initrd manually for changes to take place."
	exit -1
fi

if [ -f %{_mandir}/man7/i40e.7.gz ]; then
	exit 0
fi

%clean
rm -rf %{buildroot}

%files doc

%defattr(-, root, root)
%{_mandir}/man7/i40e.7.gz
%doc COPYING README

%changelog
* Tue Oct 6 2009 - Intel Corporatino <linuxnics.intel.com>>%{version}-%{release}
- Initial package

